Strange message with Xojo and Catalina

  1. 4 weeks ago

    Michael D

    Oct 16 Pre-Release Testers, Xojo Pro Munich, Germany
    Edited 4 weeks ago

    Hi all,
    just updated to Catalina Mac OS 10.16 ... everything works fine, except that I always get a strange message everytime I call up XOJO 2019 Release 1.1 or 2:

    -image-

    The first part is different every time, but "EHEnet" stays the same. It happens ONLY when calling up XOJO. Damaging? Really? Any idea out there?
    Thanks,
    Mick

    @Paul R I see the same thing (multiple times). All my Einhugur plugins are the latest ones. My Catalina system is virgin - just for testing (no sane person would use it for anything else).

    It's specifically the Enet plugin that's causing this error. Are you actually using that plugin? I didn't think anyone did. If you're not using it, try getting rid of it and see if the warning goes away.

  2. Greg O

    Oct 17 Xojo Inc scout.galaxy.barn

    Have you tried re-downloading Xojo from our website? That looks like the error you get when someone’s been mucking about in the application bundle and broken the signature.

  3. Derk J

    Oct 17 Pre-Release Testers, Xojo Pro

    Those are the einhugur plugins

  4. Norman P

    Oct 17 Pre-Release Testers, Xojo Pro great-white-software.com/blog

    Make sure you are using the latest Einhugher plugins
    There may be updates that are relevant

  5. Paul R

    Oct 17 Pre-Release Testers, Xojo Pro Kirkland, WA

    I see the same thing (multiple times). All my Einhugur plugins are the latest ones. My Catalina system is virgin - just for testing (no sane person would use it for anything else).

  6. Tim P

    Oct 17 Pre-Release Testers Rochester, NY

    Circling back to what Greg said, it still means the code signature is broken.

  7. Walter P

    Oct 17 Pre-Release Testers, Xojo Pro Answer

    @Paul R I see the same thing (multiple times). All my Einhugur plugins are the latest ones. My Catalina system is virgin - just for testing (no sane person would use it for anything else).

    It's specifically the Enet plugin that's causing this error. Are you actually using that plugin? I didn't think anyone did. If you're not using it, try getting rid of it and see if the warning goes away.

  8. Paul R

    Oct 17 Pre-Release Testers, Xojo Pro Kirkland, WA

    @Walter P It's specifically the Enet plugin that's causing this error. Are you actually using that plugin? I didn't think anyone did. If you're not using it, try getting rid of it and see if the warning goes away.

    I don't think I use that one, but I'm getting the same thing on several others. I'm not panicking yet, though.

  9. Rob H

    Oct 17 Canada

    I know a bit off-topic - but why does the message box say "bin" and not "trash"?

  10. Travis H

    Oct 17 Pre-Release Testers, Xojo Pro

    I believe I have all the latest Einhugur plugins installed. I get the malware alerts from having these loaded:

    PIDevice_MAX7219_LED_MATRIX.xojo_plugin
    ENet Plugin.xojo_plugin
    FlowLayout.xojo_plugin
    JSON Parser.xojo_plugin
    LuaScript.xojo_plugin

  11. Travis H

    Oct 17 Pre-Release Testers, Xojo Pro

    @Rob H I know a bit off-topic - but why does the message box say "bin" and not "trash"?

    Probably localization. It says Trash for me.

  12. 3 weeks ago

    Björn E

    Oct 18 Pre-Release Testers, Xojo Pro Iceland

    @Travis H I believe I have all the latest Einhugur plugins installed. I get the malware alerts from having these loaded:

    PIDevice_MAX7219_LED_MATRIX.xojo_plugin
    ENet Plugin.xojo_plugin
    FlowLayout.xojo_plugin
    JSON Parser.xojo_plugin
    LuaScript.xojo_plugin

    We have gotten random such reports from various of people but never found anything wrong with the signature and at same time other people been able to use them.

    Though your list here above is somewhat more interesting than others in a sense that all of them have not had update for a while.

    Can you confirm that other ones do work for you ? (some plugin from us that is newer ?). Since if its something wrong with old signatures then we can easily just compile again and re-publish.

    Thanks

    Björn

  13. Travis H

    Oct 18 Pre-Release Testers, Xojo Pro

    @Björn Eiacute;ksson We have gotten random such reports from various of people but never found anything wrong with the signature and at same time other people been able to use them.

    Though your list here above is somewhat more interesting than others in a sense that all of them have not had update for a while.

    Can you confirm that other ones do work for you ? (some plugin from us that is newer ?). Since if its something wrong with old signatures then we can easily just compile again and re-publish.

    Thanks

    Björn

    I think I have all of your plugins installed...

    #CoreClasses.xojo_plugin
    #TypeLib.xojo_plugin
    #TypeLibF.xojo_plugin
    BarcodePlugin.xojo_plugin
    CalendarControl.xojo_plugin
    ColorManagement.xojo_plugin
    DateControl.xojo_plugin
    e-CryptIt Engine - Checksums.xojo_plugin
    e-CryptIt Engine - Compression.xojo_plugin
    e-CryptIt Engine.xojo_plugin
    ENet Plugin.xojo_plugin
    ErrorProvider.xojo_plugin
    EventLib.rbx
    ExcelWriter.xojo_plugin
    FileLib.xojo_plugin
    FileSystemWatcher.xojo_plugin
    FlowLayout.xojo_plugin
    GraphicsFormats.xojo_plugin
    IconLib.rbx
    JSON Parser II.xojo_plugin
    JSON Parser.xojo_plugin
    LuaScript.xojo_plugin
    PDF Plugin.xojo_plugin
    PictureButton.xojo_plugin
    PictureEffects.xojo_plugin
    PictureEffectsRaw.xojo_plugin
    PIDevice_MAX7219_LED_MATRIX.xojo_plugin
    Python3Script.xojo_plugin
    PythonScript.xojo_plugin
    SearchControl.xojo_plugin
    TimeControl.xojo_plugin
    TreeView.xojo_plugin
    UtilsLib.xojo_plugin
    WindowSplitter.xojo_plugin

    ...but only the five I mentioned earlier trigger the error when launching Xojo. It's something new with Catalina; the same copy of Xojo and your plugins did not throw the errors on Mojave. I'm happy to test new builds if you're unable to reproduce it on your end.

  14. Björn E

    Oct 18 Pre-Release Testers, Xojo Pro Iceland

    Yes Catalina is more strict. Though I cannot think of how they might be differently signed then they all are older builds. And maybe have older certificate or something. I will see about getting them rebuilt.

    Thanks

    Björn

  15. Michael D

    Oct 19 Pre-Release Testers, Xojo Pro Munich, Germany

    Hi all,
    thanks a lot for all these answers, and yes, it seems to be that ENet plugin from Einhugur. I am using the TreeView plugin and this works fine without any errors. Problem is gone after deleting "ENet Plugin.xojo_plugin".

    Thanks a lot again,
    Mick

  16. Björn E

    Oct 20 Pre-Release Testers, Xojo Pro Iceland

    It seems it was not the code sign per see. But more of the fact that we once had our plugins without .dylib in their names. And that seems to be what makes the Catalina Code sign check not like it. The problem only is hitting plugins that have not been updated for long time since we changed to include .dylib in the name a while ago.

    With that said then I have started to push out updates for the problem.

  17. 5 days ago

    Sergio T

    Nov 6 Pre-Release Testers, Xojo Pro Europe (Italy, Brescia)

    Sorry. I have the same problem, but no Einhugur plugins installed here... I have an error on the codesigning on /usr/local/lib/cubeSQL_64bit.dylib, so I think the cubesql plugin (I use it a lot and can't remove) may be not updated for Catalina... So I wrote few days ago to sqlabs but no answer now...
    In terminal, If i list /usr/local/lib/ directory, it does not contain cubeSQL_64bit.dylib ... :-(
    Anyone have the same problem?

  18. Sergio T

    Nov 6 Pre-Release Testers, Xojo Pro Europe (Italy, Brescia)

    @SergioTamborini Sorry. I have the same problem, but no Einhugur plugins installed here... I have an error on the codesigning on /usr/local/lib/cubeSQL_64bit.dylib, so I think the cubesql plugin (I use it a lot and can't remove) may be not updated for Catalina... So I wrote few days ago to sqlabs but no answer now...
    In terminal, If i list /usr/local/lib/ directory, it does not contain cubeSQL_64bit.dylib ... :-(
    Anyone have the same problem?

    I've tried an app without cubesql plugin and the message still here :-(

or Sign Up to reply!